Package org.eclipse.jface.util

## Interface IPropertyChangeListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `AbstractSynchronizationContentProvider`, `AbstractTableRendering`, `AbstractTextRendering`, `DefaultHyperlinkPresenter`, `FieldEditorPreferencePage`, `MultipleHyperlinkPresenter`, `SubscriberParticipant`, `SynchronizationContentProvider`, `TextConsolePage`, `TextEditorPreferencePage`, `WorkingSetScope`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface IPropertyChangeListener
    extends EventListener

Listener for property changes.

Usage:

     IPropertyChangeListener listener =
       new IPropertyChangeListener() {
          public void propertyChange(PropertyChangeEvent event) {
             ... // code to deal with occurrence of property change
          }
       };
     emitter.addPropertyChangeListener(listener);
     ...
     emitter.removePropertyChangeListener(listener);

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `propertyChange​(PropertyChangeEvent event)` Notification that a property has changed.

### Method Detail

#### propertyChange

    void propertyChange​(PropertyChangeEvent event)

Notification that a property has changed.

This method gets called when the observed object fires a property change event.

Parameters:
  `event` - the property change event object describing which property changed and how